# react-native-awesome-marquee

[![MIT](https://img.shields.io/dub/l/vibe-d.svg)](https://github.com/ryanyu104/react-native-awesome-marquee/ryanyu104/master/LICENSE.md)
[![npm downloads](https://img.shields.io/npm/dm/react-native-awesome-marquee.svg)](https://www.npmjs.com/package/react-native-awesome-marquee)

## Table of contents

- [Install](#install)
- [Usage](#usage)
- [Options](#options)

## Install

`yarn add react-native-awesome-marquee@latest`

## Usage

```javascript
import React, { Component } from 'react';
import Marquee from "react-native-awesome-marquee"

const data=[
  'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.',
  'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.',
  'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec quam felis, ultricies nec, pellentesque eu, pretium quis, sem. Nulla consequat massa quis enim. Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.',
]

class Example extends Component {
  constructor(props) {
    super(props)
  }

  renderMarqueeList(){
    return data.map(item,index)=>(
         <View key=`${marqueeList${index}}`>
           <Text>{item}</Text>
         </View>
    )
  }

  render() {
    return (
      <View>
       <Marquee
         duration={20000}
         height={100}
       >
         {this.renderMarqueeList()}
       </Marquee>
      </View>
    )
  }

}
```

### Options

| Key      | Type           | Defalut | Description                |
| -------- | -------------- | ------- | -------------------------- |
| duration | number         | 10000   | Millseconds                |
| height   | number         | 100     | Wrapper component's height |
| children | array(element) | null    | Custom multiple elements   |
